package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRole;
import cn.superdesk.uniorder.dao.entity.sys.role.SysRoleMenuKey;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewRole;

import java.util.List;
import java.util.Map;

public interface DubboSysRoleService {

	ViewRole findById(Long id);

	SysRole add(SysRole role, List<SysRoleMenuKey> ls);

	void edit(SysRole role, List<SysRoleMenuKey> ls);

	void delete(Long roleId);

	R<List<SysRole>> findAllPage(Map<String, Object> params, int pageNo, int pageSize);
}
